Page MenuHomePhabricator

An empty bullet in print
Open, Needs TriagePublic

Description

It's already true that the "empty bullet in wikitext" correctly disappears on the screen or in print. Thanks.

But there is still an "empty bullet in print" problem to address.

Please, is it feasible to expect a software resolution to the "empty bullet in print"? Thanks.

Event Timeline

Cpiral created this task.Jan 7 2016, 10:05 PM
Cpiral raised the priority of this task from to Needs Triage.
Cpiral updated the task description. (Show Details)
Cpiral added a subscriber: Cpiral.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 7 2016, 10:05 PM
Krenair added a subscriber: Krenair.
Cpiral updated the task description. (Show Details)Jan 8 2016, 1:34 AM
Cpiral set Security to None.
Cpiral renamed this task from An empty bullet renders in print only to An empty bullet in print.Jan 10 2016, 11:25 PM
Cpiral updated the task description. (Show Details)

How it happened to become:

  1. The Wikipedia manual of style allows for a "See also" section on disambiguation pages, naming two templates that can be used there.
  2. Each template produces it's own Search link.
  3. These Search links show up in print, so they are given a "noprint" class.
  4. Since they are in a See also section, they come after a normal bullet. So this practice instantiates large numbers of the "empty bullet in print" problem.
  5. A "noprint bullet" would seem to fix the problem. A bot-fix on literally ten thousand pages.

If it is feasible that this could become a software fix,
then the bot-fix should not be approved, for then it would have to reverse itself later.

If it is not feasible that the "empty bullet in print" is fixed
then there remains much work to do concerning the problem.

The work that awaits a response includes

  • Several discussions (now underway). How to stem the problem? One solution is deleting all instances and forbidding Search in mainspace.
  • Template re-coding (now in sandboxes). A "noprint bullet" in its own div block, bullet=no parameter and a print=yes will be added.
  • Several bot fix runs (now awaiting approval). They work perfectly for fixing the printed version of these mainspace pages. It's approval is only pending a response here. To avoid disruptions, several steps are taken to retrofit each template. If there is a real software fix later, then there are several more bot-cleanup runs to do to simplify and regularize things again. For an example of complications and irregularities necessary to fix the "empty bullet in print" problem, T55368 says that for completely templated list items, the list handler starts a new list for each templated list item. The bot-fix seems like that, and it creates the same, hardly-noticeable gap, as for blank lines between bullets. These together sound like the screen reader problem where too many annoying announcements are made of lists beginning and ending.